#include <stdio.h>
#include <math.h>
int max(int a ,int b)
{
	if(a<b)
		return b;
	else
		return a;
}
int main()
{
	int b, c, m, pt;
	scanf("%d%d", &b, &c);
	if(b < 0 || b > 500 || c < 0 || c > 500)
		printf("Greska\n");
	else
	{
		if(b > 0 && c > 0)
		{
			m = max(b, c);
			pt = 256 - m;
			printf("%d\n", pt);
		}
		else
		{
			if(b + c > 256)
			{
				pt = 0;
				printf("%d", pt);
			}
		}
	}
	return 0;
}